%define name qmamecat
%define version 0.43
%define release 1mdk

Summary: M.A.M.E. Catalog/Launcher
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.mameworld.net/mamecat/%{name}-%{version}.tar.bz2
License: GPL
URL: http://www.mameworld.net/mamecat
Group: Emulators
ExclusiveArch: %{ix86}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: qt2-devel
Requires: xmame

%description
qmamecat is a M.A.M.E. Catalog/Launcher/FrontEnd to be used with xmame.


%prep
%setup -q -n %{name}

%build
export QTDIR=/usr/lib/qt2
make COPTIM="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_menudir} \
	$RPM_BUILD_ROOT%{_mandir}/man6
install -m 755 bin/catgen $RPM_BUILD_ROOT%{_bindir}
install -m 755 bin/qmamecat $RPM_BUILD_ROOT%{_bindir}
install -m 755 bin/qmsetup $RPM_BUILD_ROOT%{_bindir}
install -m 644 doc/mamecat.6 $RPM_BUILD_ROOT%{_mandir}/man6/mamecat.6
ln -s mamecat.6 $RPM_BUILD_ROOT%{_mandir}/man6/qmamecat.6
ln -s mamecat.6 $RPM_BUILD_ROOT%{_mandir}/man6/catgen.6

(cd $RPM_BUILD_ROOT
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="qmamecat" \
title="MameCat" \
longtitle="An arcade emulator" \
icon="emulators_section" \
needs="x11" \
section="Applications/Emulators"
EOF
)

%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc doc/Changes doc/COPYING doc/CREDITS doc/README doc/README.german
%{_bindir}/*
%{_mandir}/man6/*
%attr(644,root,root) %{_menudir}/qmamecat

%changelog
* Sat Jan 26 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.43-1mdk
- version 0.43.
- removed Patch0 (-string).

* Tue Dec 25 2001 David BAUDENS <baudens@mandrakesoft.com> 0.42.b3-3mdk
- Move in Emulators (menu).
- Use standard icon for menu entry.

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 0.42.b3-2mdk
- Rebuild against Qt 2.3.0

* Sat Feb 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.42.b3-1mdk
- initial release.
